FSTYP(8)

NAME
fstyp - determine filesystem type

SYNOPSIS
fstyp [-l] [-s] [-u] special

DESCRIPTION
The fstyp utility is used to determine the filesystem type on a given device. It can recognize BeFS (BeOS), ISO-9660, exFAT, Ext2, FAT, NTFS, and UFS filesystems. When the -u flag is specified, fstyp also recognizes certain additional metadata formats that cannot be handled using mount(8), such as geli(8) providers, and ZFS pools.

The filesystem name is printed to the standard output as, respectively:
befs
cd9660
exfat
ext2fs
geli
hammer
hammer2
msdosfs
ntfs
ufs
zfs

Because fstyp is built specifically to detect filesystem types, it differs from file(1) in several ways. The output is machine-parsable, filesystem labels are supported, the utility runs sandboxed using capsicum(4), and does not try to recognize any file format other than filesystems.

These options are available:

-l  In addition to filesystem type, print filesystem label if available.

-s  Ignore file type. By default, fstyp only works on regular files and disk-like device nodes. Trying to read other file types might have unexpected consequences or hang indefinitely.

-u  Include filesystems and devices that cannot be mounted directly by mount(8).

EXIT STATUS
The fstyp utility exits 0 on success, and >0 if an error occurs or the filesystem type is not recognized.

SEE ALSO
file(1), capsicum(4), autofs(5), geli(8), glabel(8), mount(8), zpool(8)

HISTORY
The fstyp command appeared in FreeBSD 10.2.

AUTHORS
-nosplit The fstyp utility was developed by Edward Tomasz Napierala <trasz@FreeBSD.org> under sponsorship from the FreeBSD Foundation. ZFS and GELI support was added by Allan Jude <allanjude@FreeBSD.org>.